demonSpawn = 0;
Diff = GetDifficulty();

function Start()
	if demonSpawn == 0 then
		playAnimation(GetDefenderHero(), "buff", ONESHOT);
		sleep(15);
		combatSetPause(1);
		AddCreature(DEFENDER, 28, 12*Diff, 10, 1);
		sleep(10);
		AddCreature(DEFENDER, 22, 55*Diff, 10, 3);
		sleep(10);
		AddCreature(DEFENDER, 26, 20*Diff, 10, 5);
		sleep(10);
		AddCreature(DEFENDER, 134, 56*Diff, 10, 8);
		sleep(10);
		combatSetPause(nil);
		demonSpawn = 1;
	end;
end;